Toggle rule active status
curl --request POST \
--url https://app.msportal.ai/api/public/v1/automation/{id}/toggle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isActive": true
}
'import requests
url = "https://app.msportal.ai/api/public/v1/automation/{id}/toggle"
payload = { "isActive": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isActive: true})
};
fetch('https://app.msportal.ai/api/public/v1/automation/{id}/toggle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"isActive": true,
"priority": 123,
"companyIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"triggerType": "<string>",
"entityType": "<string>",
"triggerConfig": {},
"conditions": [
{
"id": "<string>",
"conditions": [
{
"id": "<string>",
"field": "<string>",
"operator": "<string>",
"value": "<unknown>"
}
],
"groups": [
null
]
}
],
"actions": [
{
"id": "<string>",
"actionType": "<string>",
"config": {},
"order": 123,
"requiresApproval": true
}
],
"aggregationConfig": {
"enabled": true,
"groupBy": "<string>",
"groupField": "<string>",
"minBatchSize": 123,
"maxWaitHours": 123,
"combinedActionConfig": {
"titleTemplate": "<string>",
"descriptionTemplate": "<string>"
}
},
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"updatedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123,
"companies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Automation Rules
Toggle rule active status
Enable or disable an automation rule.
POST
/
api
/
public
/
v1
/
automation
/
{id}
/
toggle
Toggle rule active status
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Path Parameters
Rule ID
Body
application/json
Whether to activate or deactivate the rule
Response
Rule status toggled successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I